## ThunarChooserDialog ThunarChooserDialog |

## Functions

void | thunar_show_chooser_dialog ()

## Properties

ThunarFile * | file | Read / Write
gboolean | open | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── ThunarAbstractDialog
                                    ╰── ThunarChooserDialog

## Description

## Functions

### thunar_show_chooser_dialog ()

    void
    thunar_show_chooser_dialog (gpointer parent,
                                ThunarFile *file,
                                gboolean open,
                                gboolean preselect_default_checkbox);

Convenience function to display a ThunarChooserDialog with the given parameters.

If `parent` is a GtkWidget the chooser dialog will be opened as modal dialog above the `parent` . Else if `parent` is a screen (if `parent` is `NULL` the default screen is used), the dialog won't be modal and it will simply popup on the specified screen.

#### Parameters

parent | the GtkWidget or the GdkScreen on which to open the dialog. May also be `NULL` in which case the default GdkScreen will be used. |
file | the ThunarFile for which an application should be chosen. |
open | whether to also open the `file` . |
preselect_default_checkbox | Check the checkbox by default and set the title "Set Default Application" of chooser dialog box. |

## Property Details

### The `“file”` property

      “file”                     ThunarFile *

file.

Owner: ThunarChooserDialog

Flags: Read / Write

### The `“open”` property

      “open”                     gboolean

open.

Owner: ThunarChooserDialog

Flags: Read / Write / Construct

Default value: FALSE